package zoo.entity;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author DJ
 * @since 2024-05-17
 */
public class Animal implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 动物ID
     */
    private Integer aId;

    /**
     * 动物名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 种类
     */
    private String species;

    /**
     * 体重
     */
    private Double weight;

    /**
     * 身高
     */
    private Double height;

    /**
     * 状态（0正常 1异常）
     */
    private Integer state;

    /**
     * 饲养员ID
     */
    private Integer roleId;

    /**
     * 颜色
     */
    private String color;

    /**
     * 特征
     */
    private String features;

    /**
     * 生活习性
     */
    private String habit;

    public Integer getaId() {
        return aId;
    }

    public void setaId(Integer aId) {
        this.aId = aId;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getSpecies() {
        return species;
    }

    public void setSpecies(String species) {
        this.species = species;
    }
    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }
    public Double getHeight() {
        return height;
    }

    public void setHeight(Double height) {
        this.height = height;
    }
    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }
    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }
    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }
    public String getHabit() {
        return habit;
    }

    public void setHabit(String habit) {
        this.habit = habit;
    }

    @Override
    public String toString() {
        return "Animal{" +
            "aId=" + aId +
            ", name=" + name +
            ", sex=" + sex +
            ", species=" + species +
            ", weight=" + weight +
            ", height=" + height +
            ", state=" + state +
            ", roleId=" + roleId +
            ", color=" + color +
            ", features=" + features +
            ", habit=" + habit +
        "}";
    }
}
