package zoo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.demo.zoo.entity.Keeper;
import com.demo.zoo.entity.Veterinary;
import com.demo.zoo.mapper.KeeperMapper;
import zoo.service.IKeeperService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author DJ
 * @since 2024-05-17
 */
@Service
public class KeeperServiceImpl extends ServiceImpl<KeeperMapper, Keeper> implements IKeeperService {

    @Override
    public Keeper selectById(int roleId) {
        QueryWrapper<Keeper> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("roleId",roleId);
        return this.getOne(queryWrapper);
    }
}
